Package Details: lib32-openexr 3.0.1-1

Git Clone URL: https://aur.archlinux.org/lib32-openexr.git (read-only, click to copy)
Package Base: lib32-openexr
Description: An high dynamic-range image file format library (32-bit)
Upstream URL: https://www.openexr.com/
Licenses: BSD
Conflicts: lib32-ilmbase
Replaces: lib32-ilmbase
Submitter: orumin
Maintainer: rodrigo21
Last Packager: rodrigo21
Votes: 6
Popularity: 0.55
First Submitted: 2017-07-08 06:21
Last Updated: 2021-04-30 16:44

Pinned Comments

rodrigo21 commented on 2021-04-30 16:48

If you already have this package installed you may have to uninstall it, install lib32-imath and then reinstall this package

Latest Comments

1 2 Next › Last »

Kalimba commented on 2021-05-05 03:15

@rodrigo21 I think I see the issue, I'm using Manjaro, and the repositories on this distro still use openexr 2.5.5-1, from what I can gather imath split off from openxr around version 3.0.1.

So yea, it's an issue with my distro, I guess I can only wait until Manjaro updated openexr on their mirrors.

Hopefully this should help other Manjaro users with this issue.

Thank you very much for all your help!

p.s. I've managed to upgrade by installing imath-3.0.1-1 and openexr-3.0.1-2 from packages downloaded from a mirror and it built this package, so that's a fix.

rodrigo21 commented on 2021-05-05 02:39

@Kalimba Here's imath: https://archlinux.org/packages/extra/x86_64/imath

Just install it with pacman.

Kalimba commented on 2021-05-05 01:41

@rodrigo21 lib32-Imath didn't build because apparently there's no such Imath package, at least I couldn't find it.

I managed to build lib32-imath by removing that dependency, same issue after removing and building again.

Thank you for your prompt help!

rodrigo21 commented on 2021-05-05 01:09

@Kalimba Please rebuild/update imath to version 3.0.1-2 and then try building this package again.

Kalimba commented on 2021-05-04 23:14

This pack isn't building.

I do have lib32-imath 3.0.1-1 built and rebuilt to no avail.

Pastebin of the failed build:

https://pastebin.com/Yqgs7DdP

rodrigo21 commented on 2021-04-30 16:48

If you already have this package installed you may have to uninstall it, install lib32-imath and then reinstall this package

Samega7Cattac commented on 2020-02-01 23:02

I keep building lib32-gst-plugins-bad and somehow passed IlmImftest But now it's this:

[ 97%] Linking CXX executable ../../bin/playexr
/usr/bin/ld: /usr/lib/libCgGL.so: error adding symbols: file in wrong format
collect2: error: ld returned 1 exit status
make[2]: *** [OpenEXR_Viewers/playexr/CMakeFiles/playexr.dir/build.make:204: bin/playexr] Error 1
make[1]: *** [CMakeFiles/Makefile2:1853: OpenEXR_Viewers/playexr/CMakeFiles/playexr.dir/all] Error 2
make: *** [Makefile:141: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Samega7Cattac commented on 2020-02-01 22:35

I'm also having that issue building it

[ 98%] Linking CXX executable ../../bin/IlmImfTest
[ 98%] Built target IlmImfTest
make: *** [Makefile:141: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

rodrigo21 commented on 2019-10-22 15:36

@soredake It's building fine on my machine, try building on a clean chroot. And please don't mark the package as out-of-date if it's not building for you. A comment is enough.

Anonymous comment on 2019-10-22 14:53

[ 61%] Linking CXX shared library libIlmImf-2_4.so
/usr/bin/ld: /usr/lib/lib/libz.so: error adding symbols: file in wrong format
collect2: error: ld returned 1 exit status
make[2]: *** [OpenEXR/IlmImf/CMakeFiles/IlmImf.dir/build.make:1418: OpenEXR/IlmImf/libIlmImf-2_4.so.24.0.0] Error 1
make[1]: *** [CMakeFiles/Makefile2:1515: OpenEXR/IlmImf/CMakeFiles/IlmImf.dir/all] Error 2
make: *** [Makefile:141: all] Error 2
==> ERROR: A failure occurred in build().

Fails to build for me.